## FsMsnSession

FsMsnSession — A MSN session in a FsMsnConference

## Synopsis

                        FsMsnSession;

## Properties

      "conference"               FsMsnConference*      : Read / Write / Construct Only

## Description

There can be only one stream per session.

It can afterwards be modified to pause sending (or receiving) by modifying the "direction" property.

The transmitter parameters to the `fs_session_new_stream()` function are used to set the initial value of the construct properties of the stream object. This plugin does not use transmitter plugins, so the transmitter parameter itself is ignored.

The codecs preferences can not be modified and the codec is a fixed value. It is always "MIMIC".

## Details

### FsMsnSession

    typedef struct {
      FsSession parent;

      /* Protected by the conf lock */
      GstElement *valve;
    } FsMsnSession;

## Property Details

### The `"conference"` property

      "conference"               FsMsnConference*      : Read / Write / Construct Only

This is a convience pointer for the Conference.